/******************************************************************************
*
*  FILENAME :	perms.h
*
*  DESCRIPTION :
*
*	Interface header file for EFAC permissions subsystem.
*
*  USAGE :
*
*	Include in source files which require access to functions and
*	definitions within in the EFAC permissions subsystem.
*
*  NOTES :
*
*	Written by Paul Chesson (1994)
*	E-Mail: chesson@mundil.cs.mu.OZ.AU
*
*/


#ifndef PERMS_H
#define PERMS_H


/******************************************************************************
*  INCLUDE FILES
******************************************************************************/

#include <sys/types.h>

#include "bugbyte.h"			/* for Boolean typedef		*/
#include "efacs.h"


/******************************************************************************
*  DATA DESCRIPTIONS
******************************************************************************/

#define A_ACCESS	(1 << 0)
#define C_ACCESS	(1 << 1)
#define I_ACCESS	(1 << 2)
#define R_ACCESS	(1 << 3)
#define W_ACCESS	(1 << 4)

#define RW_ACCESS	(R_ACCESS | W_ACCESS)

#define ALIAS_PATH	"/.efacs/aliases"
			/* path to efacs alias file from home directory	*/

/******************************************************************************
*  EXTERNAL FUNCTION PROTOTYPES
******************************************************************************/

extern void get_names(char (*names)[MAX_NAME_LEN+1]);
extern uint get_perms(const char *filename, Boolean print_info);
extern void print_accset(uint perm_num, char *tag, Boolean perm_given);

#endif  /*  PERMS_H  */

